Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 2962)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 2963)
@@ -181,11 +181,11 @@
 		return this;
 	}
 	
-	public String format(Collection<String> collection) {
+	public String format(Collection<?> collection) {
 		return String.format(pattern, collection.toArray()).toString();
 	}
 	
-	public String format(String[] values) {
+	public String format(Object[] values) {
 		return String.format(pattern, values).toString();
 	}
 	
@@ -236,9 +236,15 @@
 	public String getTitle() {
 		if (this.properties == null || this.properties.size() == 0) return "none";
 		
+		if (pattern != null && pattern.length() > 0) {
+			return this.format(this.properties);
+		}
+		
 		String title = ""; //$NON-NLS-1$
 		for (Property p : this.properties) {
-			if (p == null) continue;
+			if (p == null) {
+				continue;
+			}
 			if (p instanceof StructuralUnitProperty || p instanceof VirtualProperty) {
 				title += p.getFullName() + ", "; //$NON-NLS-1$
 			}
@@ -246,10 +252,11 @@
 				title += p.getName() + ", "; //$NON-NLS-1$
 			}
 		}
-		if (title.length() == 0)
+		if (title.length() == 0) {
 			title = TXMCoreMessages.common_reference;
-		else
+		} else {
 			title = title.substring(0, title.length() - 2);
+		}
 		return title;
 	}
 	
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 2962)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 2963)
@@ -269,6 +269,10 @@
 			}
 			
 			refPropertyNames = this.getStringParameterValue(ConcordancePreferences.SORT_REFERENCE_PATTERN);
+			refPropertyNames2 = this.getCorpus().getProject().getCommandPreferences("concordance").get(ConcordancePreferences.SORT_REFERENCE_PATTERN);
+			if (refPropertyNames2 != null && refPropertyNames2.length() > 0) {
+				refPropertyNames = refPropertyNames2;
+			}
 			if ("*".equals(refPropertyNames)) { //$NON-NLS-1$
 				Property refProperty = getCorpus().getProperty("ref");//$NON-NLS-1$
 				if (refProperty == null) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/BuildAFMetadataMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/BuildAFMetadataMacro.groovy	(revision 2962)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/BuildAFMetadataMacro.groovy	(revision 2963)
@@ -52,7 +52,7 @@
 	columnsToRenameRules.put("Identifiant de la notice", "id");
 	
 	//columnsToCopy.put("Notes du titre", ["subtitle"] as String[]);
-	columnsToCopy.put("Titre propre", ["title"] as String[]); 
+	columnsToCopy.put("Titre propre", ["title"] as String[]);
 	columnsToCopy.put("Date de diffusion", ["text-order"] as String[]);
 	
 	searchAndReplaceRules.put("text-order", ["([0-9][0-9])/([0-9][0-9])/([0-9][0-9][0-9][0-9])", '$3$2$1'] as String[]);
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/PrepareAFVOIXOFFCorpusMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/PrepareAFVOIXOFFCorpusMacro.groovy	(revision 2962)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/projects/antract/PrepareAFVOIXOFFCorpusMacro.groovy	(revision 2963)
@@ -1,7 +1,6 @@
-import org.txm.utils.io.IOUtils
-
 package org.txm.macro.projects.antract
 
+import org.txm.utils.io.IOUtils
 import groovy.transform.Field
 import org.txm.rcp.swt.widget.parameters.*
 
@@ -49,23 +48,22 @@
 paramFile.getParentFile().mkdirs()
 
 // create the corpus parameters file
-String content = """backtomedia/backtomedia_endproperty=endtime
-backtomedia/backtomedia_startproperty=starttime
+String content = """backtomedia/backtomedia_endproperty=end
+backtomedia/backtomedia_startproperty=start
 backtomedia/backtomedia_structure=sp
 backtomedia/backtomedia_time_property=time
 backtomedia/media_auth=true
 backtomedia/media_auth_login=
 backtomedia/media_extension=mp4
-backtomedia/media_path_prefix=https\://{0}\:{1}@okapi.ina.fr/antract/Media/AF/
+backtomedia/media_path_prefix=https\\://{0}\\:{1}@okapi.ina.fr/antract/Media/AF/
 backtomedia/name=backtomedia
 backtomedia/secured_media_login=okapi_reader
-backtomedia/secured_media_path_prefix=https\://{0}\:{1}@okapi.ina.fr/antract/Media/AF/
+backtomedia/secured_media_path_prefix=https\\://{0}\\:{1}@okapi.ina.fr/antract/Media/AF/
 backtomedia/sync_mode=Structure
 concordance/context_limits=text
 concordance/context_limits_type=list
-concordance/view_reference_pattern=text_date-de-diffusion-tri\tu_time\tdiv_identifiant-de-la-notice
-concordance/view_reference_pattern_format=%s, %s, %s
-concordance/sort_reference_pattern=text_date-de-diffusion-tri\tu_time\tdiv_identifiant-de-la-notice
+concordance/view_reference_pattern={"format"\\:"","properties"\\:["text_datedediffusion","u_time","div_identifiantdelanotice"]}
+concordance/sort_reference_pattern={"format"\\:"","properties"\\:["text_datedediffusion","u_time","div_identifiantdelanotice"]}
 concordance/name=concordance
 eclipse.preferences.version=1"""
 
